<bugID>939955<Summary>Migrate add-on buttons to palette if the add-on bar was hidden</Summary><Description>Currently, we migrate all items from the add-on bar to the nav-bar, regardless of whether or not the add-on bar was hidden.

Some users, however, have the add-on bar hidden, but populated by many items.

That's kind of annoying - a bunch of stuff suddenly shows up in the nav-bar that the user didn't originally know or care about.

We should probably just migrate the toolbar buttons to the palette if the add-on bar was hidden.</Description></bugID>